:
# install.sh - decompresses and extracts FacetTerm from TAPE file
#
# 11/21/95  Eric Yundt, FacetCorp Technical Support
#
##########################################################################
#
# NOTE: The FacetTerm TAPE file should be put in the /tmp directory
#       before running this script, for example:
#
#               /tmp/fterm.z
#
#       If you must use an alternate directory, you must change the $TMP
#       variable below to reflect the directory holding the files or
#       specify the alternate directory on the command line.
#
#       For example:    ./install.sh /tmp2
#
##########################################################################

TMP=${1-/tmp}
#TMP=/tmp

### single TAPE file ###########
TAPEFILES=fterm.z
################################

CPIO_OPT="-icdumv"
#CPIO_OPT="-icvt"

echo
MISSING=N
for FILE in $TAPEFILES
do
        [ -f $TMP/$FILE ] || { echo "ERROR:  $FILE not found."; MISSING=Y; }
done

cd /
#cd /tmp

echo "\n\tThis script is about to decompress and then extract FacetTerm
        from its TAPE file(s) into relative subdirectorys.  You should be
        logged in as \"root\" and be in the root ("/") directory before
        attempting this.  The FacetTerm TAPE file(s) should be in the
        \"$TMP\" directory.

        Current ID = [`id`]
        Current directory = [`pwd`]"

[ $MISSING = Y ] && {
        echo "\nERROR:  Couldn't find the TAPE file in [$TMP]\n"
        exit 2
}

echo "  TAPE file:

`for FILE in $TAPEFILES
do
        ls -l $TMP/$FILE
done`

        Are you sure that you want to do this (Y/N) ? \c"
        read X
        [ "$X" != Y -a "$X" != y ] && { echo "\nTerminating $0\n"; exit 1; }

for FILE in $TAPEFILES
do
        FILE=$TMP/$FILE
        [ -f $FILE ] || {
                echo "\nERROR:  $FILE not found.\n"
                exit 2
        }

        echo "\nDoing file: $FILE\n"
        compress -d < $FILE | cpio $CPIO_OPT
done

echo "\n\tFinished with the FacetTerm extraction.  Ready to run install
        script.  You should be the only user on the system during this
        installation process.  You may be instructed to reboot the system
        at the end of the installation.  If you do not continue with this
        now, you can resume the FacetTerm installation with the install
        script:
                        cd /usr/facetterm
                        ./inst.facetterm

        Are you sure that you want to do this now (Y/N) ? \c"
        read X
        [ "$X" != Y -a "$X" != y ] && { echo "\nTerminating $0\n"; exit 1; }

echo "\n\tBeginning FacetTerm installation script.\n"

cd /usr/facetterm
./inst.facetterm

echo "\n\tFacetTerm installation finished.

        With Driver versions of FacetTerm you need to reboot the UNIX
        system and you may also need to add FacetLines (pseudo-devices)
        with \"/usr/facet/facet.makenode\".  The default installation
        creates enough FacetLines for 10 users.

        With PTY versions of FacetTerm you may need to increase the
        number of pseudo-ttys on the system.  Please consult your system
        documentation for instructions.

        Enjoy your FacetTerm!\n"

###
### END OF "install.sh" SCRIPT
###
